Bug 245719 - databases/postgresql-jdbc: update to 42.2.12
Summary: databases/postgresql-jdbc: update to 42.2.12
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: pgsql
URL: https://jdbc.postgresql.org/documenta...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-18 08:57 UTC by VVD
Modified: 2020-05-16 15:49 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pgsql)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-04-18 08:57:31 UTC
Current version in ports is 9.2-1004 from 2013-10-31.
42.2.12 was released 2020-03-31.
6.5 years left - a lot of bugs was fixed - time to upgrade.
Comment 2 VVD 2020-05-15 15:18:32 UTC
Any progress?
Comment 3 Palle Girgensohn freebsd_committer 2020-05-16 08:59:16 UTC
Hi,

The complezxity of actually building the jar in the FreeBSD ports structure seems overly complex. The alternatiuve would be to just let the port download the prebuilt jar.

On the other hand, are people really using this port? I would expect most ppl to distribute jar files using a different approach from packages?

Palle
Comment 4 VVD 2020-05-16 15:49:47 UTC
(In reply to Palle Girgensohn from comment #3)
> The complezxity of actually building the jar in the FreeBSD ports structure seems overly complex. The alternatiuve would be to just let the port download the prebuilt jar.
I think precompiled jar is enough.

> On the other hand, are people really using this port? I would expect most ppl to distribute jar files using a different approach from packages?
I used it, but it's too outdated now - use embedded in application or downloaded manually precompiled jar.